## org.ascape.model.event
Interface ControlListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  BasicModel, BasicMovementModel, City, City3D, DemographicPrisonersDilemma, DemographicPrisonersDilemma3D, Epidemic, Epidemic, Epidemic, Epidemic3D, Epidemic3D, Epidemic3D, Epidemic3DTiles, EpidemicPeriods, GAS_Base, Heatbugs, Heatbugs3D, Heatbugs3DCustom, Markets, Markets3D, Region, Region3D, Scape, SpatialModel, StupidModel1, StupidModel13D, StupidModel2, StupidModel23D, StupidModel3, StupidModel33D, StupidModel5, StupidModel53D, WikiExample, WikiExample3D

    public interface ControlListener

extends java.util.EventListener

An interface describing an obect which can receive control events.

Since:
  1.0
Version:
  2.9.1
Author:
  Miles Parker

Method Summary
`void` `respondControl(ControlEvent event)` Respond control.

Method Detail

### respondControl

    void respondControl(ControlEvent event)

  Respond control.

  Parameters:
    `event` - the event